## gitxray 1.0.17.4

=== debian/changelog ===
gitxray (1.0.17.4-0kali1) kali-dev; urgency=medium

  * Initial Kali packaging of gitxray v1.0.17.4

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 05 May 2025 11:12:56 +0200

## gitxray 1.0.19

=== requirements.txt ===
requests==2.32.5

## gitxray 1.0.18

=== debian/changelog ===
gitxray (1.0.18-0kali1) kali-dev; urgency=medium

  * Add basic test
  * New upstream version 1.0.18

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Aug 2025 10:24:11 +0200

=== debian/control ===
Source: gitxray
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Wade Lantt <weird.lantern25@proton.me>,
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-requests,
 pybuild-plugin-pyproject
Standards-Version: 4.7.2
Homepage: https://kulkansecurity.github.io/gitxray/
Vcs-Browser: https://gitlab.com/kalilinux/packages/gitxray
Vcs-Git: https://gitlab.com/kalilinux/packages/gitxray.git

Package: gitxray
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Scan GitHub repositories and contributors to collect data
 Gitxray (short for Git X-Ray) is a multifaceted security tool designed for use
 on GitHub repositories. It can serve many purposes, including OSINT and
 Forensics. gitxray leverages public GitHub REST APIs to gather information
 that would otherwise be very time-consuming to obtain manually. Additionally,
 it seeks out information in unconventional places.

=== debian/tests/control ===
Test-Command: gitxray --help
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/kulkansecurity/gitxray/tags .*/v?(\d.*)@ARCHIVE_EXT@

## gitxray 1.0.19

=== debian/changelog ===
gitxray (1.0.19-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.0.19

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Dec 2025 10:44:24 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: kulkansecurity
Project: gitxray

## gitxray 1.0.20

=== debian/changelog ===
gitxray (1.0.20-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.20

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Jan 2026 11:58:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Wade Lantt <weird.lantern25@proton.me>,
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
